Bug 990896 - RFE: support config of ipv6 ip-dhcp-host/ip-dhcp-range/ip-route in libvirt
RFE: support config of ipv6 ip-dhcp-host/ip-dhcp-range/ip-route in libvirt
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Laine Stump
Virtualization Bugs
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 03:32 EDT by hongming
Modified: 2016-04-26 10:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-25 18:27:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hongming 2013-08-01 03:32:05 EDT
Description of problem:
The ipv6 ip-dhcp-host/ip-dhcp-range/route vanish in virsh net-dumpxml and net-edit


Version-Release number of selected component (if applicable):
libvirt-0.10.2-21.el6.x86_64
dnsmasq-2.48-13.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
# cat network2.xml
<network>
<name>net7</name>
<bridge name="virbr7" />
<forward mode="route"/>
<ip family="ipv6" address="2001:db8:ca2:7::1" prefix="64" >
<dhcp>
<range start="2001:db8:ca2:7::100" end="2001:db8:ca2:7::fff" />
<host id="0:4:7e:7d:f0:7d:a8:bc:c5:d2:13:32:11:ed:16:ea:84:63" name="lucas" ip="2001:db8:ca2:2:3::4" />
</dhcp>
</ip>
<route family="ipv6" address="2001:db8:ca2:8::" prefix="64" gateway="2001:db8:ca2:7::4" >
</route>
</network>

# virsh net-define network2.xml
Network net7 defined from network2.xml

# virsh net-start net7
Network net7 started

# virsh net-dumpxml net7
<network>
  <name>net7</name>
  <uuid>b12150b0-e752-bf95-6f1d-2e60f2c7fe29</uuid>
  <forward mode='route'/>
  <bridge name='virbr7' stp='on' delay='0' />
  <mac address='52:54:00:B0:4F:7D'/>
  <ip family='ipv6' address='2001:db8:ca2:7::1' prefix='64'>
  </ip>
</network>

# virsh net-edit net7
The ipv6 ip-dhcp-host/ip-dhcp-range/route vanish

# ps -ef|grep dnsmasq
nobody   13556     1  0 03:24 ?        00:00:00 /usr/sbin/dnsmasq --strict-order --local=// --domain-needed --pid-file=/var/run/libvirt/network/net7.pid --conf-file= --except-interface lo --bind-interfaces --listen-address 2001:db8:ca2:7::1


Actual results:
Fail to config ipv6 ip-dhcp-host/ip-dhcp-range/ip-route in libvirt

Expected results:
Successfully config ipv6 ip-dhcp-host/ip-dhcp-range/ip-route in libvirt

Additional info:
Comment 2 Yves Vogl 2013-11-01 15:08:44 EDT
I can confirm this.

dnsmasq.x86_64       2.48-13.el6       
libvirt.x86_64       0.10.2-18.el6_4.14
Comment 3 Laine Stump 2013-11-04 04:17:55 EST
RHEL6.x libvirt is based on libvirt-0.10.2.

DHCPv6 is supported in libvirt-1.0.1 and later. Static routes in network definitions are supported libvirt-1.0.6 and later, i.e. these are new features that are not currently a part of libvirt in RHEL6.x.

If you have a requirement for these features, please open a ticket with Red Hat customer support so that the possiblity of a backport can be investigated.
Comment 4 Laine Stump 2013-11-04 04:21:47 EST
I've turned this into an RFE. *if* libvirt is rebased in a future version of RHEL, this capability will come for free. If not, then it would require non-trivial backport work.
Comment 7 Jiri Denemark 2014-04-04 17:38:06 EDT
This bug was not selected to be addressed in Red Hat Enterprise Linux 6. We will look at it again within the Red Hat Enterprise Linux 7 product.
Comment 8 Jiri Denemark 2014-07-25 18:27:11 EDT
This was apparently implemented before 7.0.

Note You need to log in before you can comment on or make changes to this bug.